#ifndef __IMAGE__
#define __IMAGE__

#include <string>

typedef unsigned char BYTE;

#define Image_Anomalie char
#define Image_ANO_NONBMP '1'
#define Image_ANO_OPENFIC '2'
#define Image_ANO_LECTUREFIC '3'
#define Image_ANO_TAILLEINT '4'
#define Image_ANO_FORMAT '5'
#define Image_OK '\0'

class Image
{
public:
    Image();
    Image(int, int, BYTE, BYTE, BYTE);
    ~Image();

    BYTE& pixel(int x,int y,int c);
    void set_pixel(int, int, int, BYTE);
    void CopieImage(Image& image_src, int pos_copie_x, int pos_copie_y, int pos_source_x, int pos_source_y); //Julian
    Image_Anomalie SauveBMP(char []);
    Image_Anomalie ChargeBMP(char []);
    std::string LibelleAnomalie(Image_Anomalie err);

    void allocMem();

    int width, height;
    int taille_ligne_memoire;
    BYTE* bytes;
};

#endif
